#ifndef ASWM_TEST_SET_UP
#define ASWM_TEST_SET_UP

#include "unity.h"
#include "zlog.h"
#include "X11/Xlib.h"

#ifndef ASWM_TEST_DIR
#define ASWM_TEST_DIR "."
#endif

// Extern variables accessible from any test.
// Defined in test_set_up.c
extern char display_name[5];
extern int aswm_pid;
extern Display* test_display;
extern Window test_root;
extern zlog_category_t *test_log;

bool check_xephyr_available();
void set_up_test_logger();
void tear_down_test_logger();

#endif
