#ifndef ASWM
#define ASWM

#include "zlog.h"
#include "mapper/mapper.h"

typedef struct {
	Window root_window;
	Window tile_root;
	Window stack_root;
} Desktop;

typedef struct {
	Display *display;
	Window root_window;
	Desktop* desktops;
	unsigned int desktops_count;
	Desktop current_desktop;
} Aswm;

void aswm_open(const char* zlog_conf);
void aswm_create_workspace();
void aswm_event_loop();
void aswm_close();
void aswm_activate_window(Window window);

#endif
