#include "message.h"
#include "aswm/log/log.h"

void OnClientMessage(Aswm* aswm, XClientMessageEvent* e) {
	// TODO: handle this
	aswm_notice("Client message for window %lu:", e->window);
	char* message_type = XGetAtomName(e->display, e->message_type);
	aswm_notice("\t%s", message_type);
	if(strcmp(message_type, "_NET_ACTIVE_WINDOW") == 0) {
		aswm_notice("\t\twindow to activate: %lu", e->window);
		aswm_notice("\t\tsource indication: %lu", e->data.l[0]);
		aswm_notice("\t\ttimestamp: %lu", e->data.l[1]);
		aswm_notice("\t\trequestor's currently active window: %lu", e->data.l[2]);
		aswm_activate_window(e->window);
	} else {
		aswm_notice("\t-> Unhandled");
	}
	XFree(message_type);
}
