#ifndef ASWM_MAPPER
#define ASWM_MAPPER

#include <X11/Xlib.h>
#include <X11/Xutil.h>

Window create_aswm_root_tile(Display* display, Window root_window);

void aswm_tile_window(Display* display, Window current_node, Window window_to_map);
void aswm_untile_window(Display* display, Window parent, Window window);

void aswm_stack_window(Display* display, Window stack, Window window_to_map, int width, int height);
void aswm_unstack_window(Display* display, Window stack);
void aswm_handle_normal_hints(Display* display, Window stack_root, Window window, XSizeHints* size, long supplied);

bool aswm_is_resizeable(XSizeHints* size);

#endif
